Bug 81857 - [SNB+]Piglit spec_glsl-1.30_execution_switch_fs-default_last sporadically fail
Summary: [SNB+]Piglit spec_glsl-1.30_execution_switch_fs-default_last sporadically fail
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: medium major
Assignee: Tapani Pälli
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-29 02:22 UTC by lu hua
Modified: 2014-08-06 05:57 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lu hua 2014-07-29 02:22:51 UTC
System Environment:
--------------------------
Platform: SNB
Libdrm:		(master)libdrm-2.4.55
Mesa:		(master)be8bc588b93286dff6a6c1e8594ec40da50658ff
Xserver:	(master)xorg-server-1.15.99.902-121-g2f5cf9ff9a0f713b7e038636484c77f113a5f10a
Xf86_video_intel:(master)2.99.914-5-gcac1548a9c48db4707fc3c885b1ea568ae2fbc54
Libva:		(master)3fddb7f937df4e0e15391bd65ae3c7552ea5b3d7
Libva_intel_driver:(master)82d2ed8d7da3619c0ea467c06604f5626fc0b901
Kernel:  (drm-intel-nightly)e967a525207bd40ab446e2f809907039f88e66f3

Bug detailed description:
---------------------------
New case spec_glsl-1.30_execution_switch_fs-default_last sporadically fail on SNB+ platforms on Mesa master branch. Fail rate: 2/5.
Run 5 cycles on 10.2 branch, It works well.

output:
Probe color at (0,249)
  Expected: 0.000000 0.000000 1.000000 0.000000
  Observed: 0.000000 0.000000 0.000000 0.000000
PIGLIT: {"result": "fail" }


Reproduce steps:
---------------------------- 
1. xinit
2. bin/shader_runner tests/spec/glsl-1.30/execution/switch/fs-default_last.shader_test -auto
Comment 1 Tapani Pälli 2014-08-01 05:03:50 UTC
Fix has been posted to mesa-dev for review:
http://lists.freedesktop.org/archives/mesa-dev/2014-July/064107.html
Comment 2 lu hua 2014-08-01 07:22:48 UTC
(In reply to comment #1)
> Fix has been posted to mesa-dev for review:
> http://lists.freedesktop.org/archives/mesa-dev/2014-July/064107.html

Apply this patch and run 10 cycles, it works well.
Comment 3 Tapani Pälli 2014-08-04 09:36:31 UTC
fix pushed to master
Comment 4 lu hua 2014-08-06 05:57:21 UTC
Verified.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.